package com.dgt.graphdemo.entity.fqz;

import java.util.List;


public class EdgeNew extends CommonBean<EdgeNew> {

	private String id;

	private Object source;

	private Object target;

	private String weaverSource;

	private String weaverTarget;

	private List<String> weaverId;

	private List<String> rel;

	private List<EdgeAttr> attr;

	private Boolean delete;

	public EdgeNew(){}



	public List<EdgeAttr> getAttr() {
		return attr;
	}


	public void setAttr(List<EdgeAttr> attr) {
		this.attr = attr;
	}


	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}


	/**
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}




	/**
	 * @return the rel
	 */
	public List<String> getRel() {
		return rel;
	}


	/**
	 * @param rel the rel to set
	 */
	public void setRel(List<String> rel) {
		this.rel = rel;
	}


	public Object getSource() {
		return source;
	}

	public void setSource(Object source) {
		this.source = source;
	}

	public Object getTarget() {
		return target;
	}

	public void setTarget(Object target) {
		this.target = target;
	}

	/**
	 * @return the weaverId
	 */
	public List<String> getWeaverId() {
		return weaverId;
	}



	/**
	 * @param weaverId the weaverId to set
	 */
	public void setWeaverId(List<String> weaverId) {
		this.weaverId = weaverId;
	}

	public String getWeaverSource() {
		return weaverSource;
	}

	public void setWeaverSource(String weaverSource) {
		this.weaverSource = weaverSource;
	}

	public String getWeaverTarget() {
		return weaverTarget;
	}

	public void setWeaverTarget(String weaverTarget) {
		this.weaverTarget = weaverTarget;
	}

	/**
	 * @return the delete
	 */
	public Boolean getDelete() {
		return delete;
	}


	/**
	 * @param delete the delete to set
	 */
	public void setDelete(Boolean delete) {
		this.delete = delete;
	}
}
